import http from './ajax'
import formatResponse from '../util/formatResponse'

function ajax(type, url, api, data = {}) {
    data.method = api
    if (type === 'get') {
        data = {
            params: data
        }
    }
    return http[type](url + '/' + api, data)
        .then(res => {
            let resData = formatResponse(res.data, api);
            return resData ?
                Promise.resolve(resData) :
                Promise.reject(res.data.error_response && res.data.error_response.msg)
        })
}

export default {
    get: (url, api, data) => {
        return ajax('get', url, api, data)
    },
    post: (url, api, data) => {
        return ajax('post', url, api, data)
    }
}