import jsonp from 'jsonp'
import {
  stringify
} from 'query-string'
import formatResponse from '../util/formatResponse'


export default (url, method, data = {}, option) => {
  data.method = method
  url += (url.indexOf('?') < 0 ? '?' : '&') + stringify(data)
  return new Promise((resolve, reject) => {
    jsonp(url, option || {
      param: 'yfcallback'
    }, (err, data) => {
      if (!err) {
        let resData = formatResponse(data, method);
        resData ? resolve(resData) : reject(data.error_response && data.error_response.msg)
      } else {
        reject(err)
      }
    })
  })
}